from twisted.internet import reactor, protocol
from twisted.protocols.basic import LineReceiver


class Server(LineReceiver):

    servers = []

    def connectionMade(self):
        self.servers.append(self)

    def dataReceived(self, line):
        for s in self.servers:
            if s is not self:
                s.transport.write(line)

    def connectionLost(self, reason):
        self.servers.remove(self)


class MyServerFactory(protocol.ServerFactory):
    protocol = Server


factory = MyServerFactory()
reactor.listenTCP(4567, factory)
reactor.run()
